2026-05-15 20:18:39 UTC
295 MB
/usr/java/openjdk-27
JAVA_VERSION27-ea+22
LANGC.UTF-8
PATH/usr/java/openjdk-27/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:ded2aa0abafd1e1e93e05338cb1b14916dbeb283d3862aa21e5d8b0164f4cbf3 - 13.92% (41.1 MB)
[#001] sha256:846ebf29aec2dec2e17e26d8c2c7669305e946fb12da2410c3089793aeb38196 - 12.17% (35.9 MB)
[#002] sha256:0b99930b49e490efad118f74bd9ad8d36f25982bec8fac52b508ae5de2dad10d - 73.91% (218 MB)
ADD oraclelinux-10-slim-amd64-rootfs.tar.xz / # buildkit
2026-05-12 18:44:08 UTC (buildkit.dockerfile.v0)CMD ["/bin/bash"]
2026-05-15 20:18:26 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit
2026-05-15 20:18:39 UTC (buildkit.dockerfile.v0)ENV JAVA_HOME=/usr/java/openjdk-27
2026-05-15 20:18:39 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/java/openjdk-27/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2026-05-15 20:18:39 UTC (buildkit.dockerfile.v0)ENV LANG=C.UTF-8
2026-05-15 20:18:39 UTC (buildkit.dockerfile.v0)ENV JAVA_VERSION=27-ea+22
2026-05-15 20:18:39 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk27/22/GPL/openjdk-27-ea+22_linux-x64_bin.tar.gz'; downloadSha256='47b58a37806dcaf954eb174f682514b06f17b8205d154ad84c2f68666c302570'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk27/22/GPL/openjdk-27-ea+22_linux-aarch64_bin.tar.gz'; downloadSha256='87c706c502d3fa5d8a8ff7bf543c7903207fb8d5a11ed637fe05ed33b8179702'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit
2026-05-15 20:18:39 UTC (buildkit.dockerfile.v0)CMD ["jshell"]
2026-05-15 21:12:28 UTC
2.26 GB
C:\openjdk-27
JAVA_SHA2568f070229867cab472c5d736b8a2b08d610772c4da7d6e451ab494e77fa4ad88d
JAVA_URLhttps://download.java.net/java/early_access/jdk27/22/GPL/openjdk-27-ea+22_windows-x64_bin.zip
JAVA_VERSION27-ea+22
[#000] sha256:0938cf51b672b81c9804d1d5f0c57031c931f41b279270e84820c63642d6a3bd - 62.63% (1.42 GB)
[#001] sha256:f787ad06f38db673c3d304f21c09a82ff9a1ced32062515ea52fdb0383457b24 - 28.08% (651 MB)
[#002] sha256:915521ee20f379f50a06d4f22330e0f6b880411357921aceff959d4549c62fde - 0.0% (1.28 KB)
[#003] sha256:83b6e349719dd85cb482ff567e3d7f785bd84849f2f198dcccdef658a6ea4a75 - 0.01% (353 KB)
[#004] sha256:3e234040c4048269a05c53ee25ef9fe75bd01c137abc58fe06ca1c2c38b0ebc9 - 0.0% (1.26 KB)
[#005] sha256:5c07fa7d71a965015cc4bab16430f7f83f750021fd7430d375b789ef12933eb0 - 0.01% (339 KB)
[#006] sha256:8663b0d39c4e9b37542a978d9e84b650b99265e844731522289077af6d3d0a6d - 0.0% (1.25 KB)
[#007] sha256:c2b334f34deab3ec5a5c347a95ad24c15e31c0583d3ddf19f8015361de5ff80b - 0.0% (1.23 KB)
[#008] sha256:acb8bcd1d3f468ec6541749ea988cd0ca9e28d2899e3ee3db2622b8433fa67c0 - 0.0% (1.23 KB)
[#009] sha256:a79705a2c75733b509f4c4bb49814b29351dd347c0795ebcf7004a4419449d80 - 9.26% (215 MB)
[#010] sha256:0c3f8635e9146f0a176a18d7d34d35a294c0ec6ac451df0a9c1fb28875699f80 - 0.0% (1.27 KB)
Apply image 10.0.26100.32230
2026-05-10 10:08:54 UTCInstall update 10.0.26100.32860
2026-05-15 21:10:21 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2026-05-15 21:11:02 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'
2026-05-15 21:11:04 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-27
2026-05-15 21:11:11 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'
2026-05-15 21:11:12 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=27-ea+22
2026-05-15 21:11:12 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk27/22/GPL/openjdk-27-ea+22_windows-x64_bin.zip
2026-05-15 21:11:13 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=8f070229867cab472c5d736b8a2b08d610772c4da7d6e451ab494e77fa4ad88d
2026-05-15 21:12:27 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'
2026-05-15 21:12:28 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]
2026-05-15 20:41:13 UTC
2.19 GB
C:\openjdk-27
JAVA_SHA2568f070229867cab472c5d736b8a2b08d610772c4da7d6e451ab494e77fa4ad88d
JAVA_URLhttps://download.java.net/java/early_access/jdk27/22/GPL/openjdk-27-ea+22_windows-x64_bin.zip
JAVA_VERSION27-ea+22
[#000] sha256:3cc21a1b754848d23f00aa65cb94ec34c9a5dc6028b3aada42039c824738d02f - 63.4% (1.39 GB)
[#001] sha256:857865ad3eca4da109d969134a9cab7225d9de49597914ae325d43661900f513 - 26.97% (604 MB)
[#002] sha256:7dd4acf5065d2387bdf6560dbeefafc544ff9e00260a8c40d1631cff4a5aeb93 - 0.0% (1.29 KB)
[#003] sha256:8dc9293fa70683c115ba9e34ce61cf8c47d413582df71dfcdd0e53966c44394d - 0.02% (504 KB)
[#004] sha256:d8f5ae04cad74d2cdd49ae2d2d256fa443edb4d71ac801358bbc4e38280ba279 - 0.0% (1.27 KB)
[#005] sha256:0afc5d026b3a384322069086353d1e15be1ddbad62e746d6b19d8327f144ff7b - 0.02% (353 KB)
[#006] sha256:43a581af4b07befb8bdade24c47ae4e97f09e31588192cc943f7e3912081d26f - 0.0% (1.29 KB)
[#007] sha256:0585e87d942475b8c7b05f2a023ce00420bc93feb5ffa03cdfc468509726cd31 - 0.0% (1.29 KB)
[#008] sha256:5e2b54c1752d87e27efcf942a04b050b34101260cd8461f05ae849e2a23f7ba2 - 0.0% (1.3 KB)
[#009] sha256:3cb1221a40f1929cc57d113ca48c54589c17b84bd6b9b192dc75479f70ef7631 - 9.59% (215 MB)
[#010] sha256:779c0dffd3e971ac310fad82726e92890b9e9fd3d75cdc43ddf6583f08dd73a5 - 0.0% (1.29 KB)
Apply image 10.0.20348.4294
2026-05-07 03:49:54 UTCInstall update 10.0.20348.5139
2026-05-15 20:39:21 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2026-05-15 20:40:31 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'
2026-05-15 20:40:32 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-27
2026-05-15 20:40:39 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'
2026-05-15 20:40:40 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=27-ea+22
2026-05-15 20:40:40 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk27/22/GPL/openjdk-27-ea+22_windows-x64_bin.zip
2026-05-15 20:40:42 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=8f070229867cab472c5d736b8a2b08d610772c4da7d6e451ab494e77fa4ad88d
2026-05-15 20:41:13 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'
2026-05-15 20:41:13 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]
2026-05-15 20:18:23 UTC
292 MB
/usr/java/openjdk-27
JAVA_VERSION27-ea+22
LANGC.UTF-8
PATH/usr/java/openjdk-27/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:523b5fcd95921b1880258a8c56e30985e8f3adf21d143bf177907dc76d6a562b - 13.56% (39.6 MB)
[#001] sha256:211bee5ff420ccd7d1e415cecdf86fb1ca49a2aed221aec6cb952520b42cab2a - 12.32% (36 MB)
[#002] sha256:dd9b3cabe86e6f5dfb87dac4208ac2d6704fa8324cb61a8a042159f0d1c9ed71 - 74.12% (216 MB)
ADD oraclelinux-10-slim-arm64v8-rootfs.tar.xz / # buildkit
2026-05-12 18:43:55 UTC (buildkit.dockerfile.v0)CMD ["/bin/bash"]
2026-05-15 20:18:09 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit
2026-05-15 20:18:23 UTC (buildkit.dockerfile.v0)ENV JAVA_HOME=/usr/java/openjdk-27
2026-05-15 20:18:23 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/java/openjdk-27/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2026-05-15 20:18:23 UTC (buildkit.dockerfile.v0)ENV LANG=C.UTF-8
2026-05-15 20:18:23 UTC (buildkit.dockerfile.v0)ENV JAVA_VERSION=27-ea+22
2026-05-15 20:18:23 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk27/22/GPL/openjdk-27-ea+22_linux-x64_bin.tar.gz'; downloadSha256='47b58a37806dcaf954eb174f682514b06f17b8205d154ad84c2f68666c302570'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk27/22/GPL/openjdk-27-ea+22_linux-aarch64_bin.tar.gz'; downloadSha256='87c706c502d3fa5d8a8ff7bf543c7903207fb8d5a11ed637fe05ed33b8179702'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit
2026-05-15 20:18:23 UTC (buildkit.dockerfile.v0)CMD ["jshell"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.